aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xCentOS7-efi.sh19
-rw-r--r--repos/centos-7.repo8
-rwxr-xr-xrun-all.sh1
3 files changed, 28 insertions, 0 deletions
diff --git a/CentOS7-efi.sh b/CentOS7-efi.sh
new file mode 100755
index 0000000..cdb47ec
--- /dev/null
+++ b/CentOS7-efi.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+name="centos-7-efi"
+repo="repos/centos-7.repo"
+rpms="grub2-efi shim -dracut-config-rescue dracut-config-generic"
+
+arch="$(uname -m)"
+tar="${IMAGEFISH_DESTDIR-.}/${name}-${arch}.tar.gz"
+img="${IMAGEFISH_DESTDIR-.}/${name}-${arch}.qcow2"
+
+echo ""
+echo "###"
+echo "### $name"
+echo "###"
+
+set -ex
+rm -f "$tar" "$img"
+scripts/install-redhat.sh --config "$repo" --tar "$tar" --packages "$rpms" --yum
+scripts/tar-to-image.sh --tar "$tar" --image "$img" --efi-grub2
diff --git a/repos/centos-7.repo b/repos/centos-7.repo
new file mode 100644
index 0000000..c57613e
--- /dev/null
+++ b/repos/centos-7.repo
@@ -0,0 +1,8 @@
+[mkimage-centos-7-base]
+baseurl=http://mirror.centos.org/centos/7/os/$basearch/
+proxy=http://spunk.home.kraxel.org:3128
+
+[mkimage-centos-7-updates]
+baseurl=http://mirror.centos.org/centos/7/updates/$basearch/
+proxy=http://spunk.home.kraxel.org:3128
+
diff --git a/run-all.sh b/run-all.sh
index a020b8b..c4d0a9f 100755
--- a/run-all.sh
+++ b/run-all.sh
@@ -23,6 +23,7 @@ nilsson)
# rebuild images
export IMAGEFISH_DESTDIR="/vmdisk/ext/imagefish"
./RHEL73-efi.sh || exit 1
+ ./CentOS7-efi.sh || exit 1
./F25-efi-grub2.sh || exit 1
./F25-efi-systemd.sh || exit 1
;;